Bug 1569325 - Qt5 Webkit crash on page stop loading
Summary: Qt5 Webkit crash on page stop loading
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebkit
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 04:22 UTC by Ivan Romanov
Modified: 2018-11-30 21:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:56:59 UTC
Type: Bug


Attachments (Terms of Use)
Test case to reproduce crash (521 bytes, application/x-gzip)
2018-04-19 04:22 UTC, Ivan Romanov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github annulen webkit issues 613 0 None None None 2018-04-19 04:29:48 UTC

Description Ivan Romanov 2018-04-19 04:22:18 UTC
Created attachment 1423890 [details]
Test case to reproduce crash

Description of problem:
Application crashes on page loading stop

Version-Release number of selected component (if applicable):
qt5-qtwebkit-5.212.0-0.20.alpha2.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Download webkit-crash.tgz in attachment
2. Unpack
3. Compile with qmake-qt5 && make
4. Run with ./webkit-crash

Actual results:
Crash

Expected results:
No crash

Additional info:
Backtrace:
#0  0x00007ffff5db2911 in WebCore::SubresourceLoader::didReceiveDataOrBuffer(char const*, int, WTF::PassRefPtr<WebCore::SharedBuffer>, long long, WebCore::DataPayloadType) (this=0x7fff7899cd80, data=data@entry=0x0, length=length@entry=0, prpBuffer=..., encodedDataLength=<optimized out>, dataPayloadType=WebCore::DataPayloadWholeResource) at /usr/src/debug/qt5-qtwebkit-5.212.0-0.20.alpha2.fc27.x86_64/Source/WebCore/loader/SubresourceLoader.cpp:322
#1  0x00007ffff5db2a95 in WebCore::SubresourceLoader::didReceiveBuffer(WTF::PassRefPtr<WebCore::SharedBuffer>, long long, WebCore::DataPayloadType) (this=<optimized out>, buffer=..., encodedDataLength=<optimized out>, dataPayloadType=<optimized out>) at /usr/src/debug/qt5-qtwebkit-5.212.0-0.20.alpha2.fc27.x86_64/Source/WebCore/loader/SubresourceLoader.cpp:304
#2  0x00007ffff5da993a in WebCore::ResourceLoader::<lambda(WTF::Optional<WebCore::DataURLDecoder::Result>)>::operator()(WTF::Optional<WebCore::DataURLDecoder::Result>) const (__closure=__closure@entry=0xb0b480, decodeResult=...)
    at /usr/src/debug/qt5-qtwebkit-5.212.0-0.20.alpha2.fc27.x86_64/Source/WebCore/loader/ResourceLoader.cpp:272
#3  0x00007ffff5daf31f in std::_Function_handler<void(WTF::Optional<WebCore::DataURLDecoder::Result>), WebCore::ResourceLoader::loadDataURL()::<lambda(WTF::Optional<WebCore::DataURLDecoder::Result>)> >::_M_invoke(const std::_Any_data &, WTF::Optional<WebCore::DataURLDecoder::Result> &&) (__functor=..., __args#0=...) at /usr/include/c++/7/bits/std_function.h:316
#4  0x00007ffff5f52bf5 in std::function<void (WTF::Optional<WebCore::DataURLDecoder::Result>)>::operator()(WTF::Optional<WebCore::DataURLDecoder::Result>) const (__args#0=..., this=0x7f5630) at /usr/include/c++/7/bits/std_function.h:706
#5  0x00007ffff5f52bf5 in WebCore::DataURLDecoder::<lambda()>::<lambda()>::operator() (__closure=<optimized out>) at /usr/src/debug/qt5-qtwebkit-5.212.0-0.20.alpha2.fc27.x86_64/Source/WebCore/platform/network/DataURLDecoder.cpp:192
#6  0x00007ffff5f52bf5 in std::_Function_handler<void(), WebCore::DataURLDecoder::decode(const WebCore::URL&, const WebCore::DataURLDecoder::ScheduleContext&, WebCore::DataURLDecoder::DecodeCompletionHandler)::<lambda()>::<lambda()> >::_M_invoke(const std::_Any_data &) (__functor=...) at /usr/include/c++/7/bits/std_function.h:316
#7  0x00007ffff56bb29a in std::function<void ()>::operator()() const (this=0x7fffffffd280) at /usr/include/c++/7/bits/std_function.h:706
#8  0x00007ffff56bb29a in WTF::dispatchFunctionsFromMainThread() () at /usr/src/debug/qt5-qtwebkit-5.212.0-0.20.alpha2.fc27.x86_64/Source/WTF/wtf/MainThread.cpp:134
#9  0x00007ffff56ec5c1 in WTF::MainThreadInvoker::event(QEvent*) (this=<optimized out>, e=<optimized out>) at /usr/src/debug/qt5-qtwebkit-5.212.0-0.20.alpha2.fc27.x86_64/Source/WTF/wtf/qt/MainThreadQt.cpp:60
#10 0x00007ffff76e392c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#11 0x00007ffff76eb174 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#12 0x00007ffff39cdbe7 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#13 0x00007ffff39d036b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /lib64/libQt5Core.so.5
#14 0x00007ffff3a1ee43 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5Core.so.5
#15 0x00007fffed5c1b77 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#16 0x00007fffed5c1f20 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#17 0x00007fffed5c1fac in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#18 0x00007ffff3a1ec2f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#19 0x00007ffff39cc96a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#20 0x00007ffff39d5094 in QCoreApplication::exec() () at /lib64/libQt5Core.so.5
#21 0x0000000000400eb6 in main ()

Comment 1 Ben Cotton 2018-11-27 15:13:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 21:56:59 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.